com.smartgwt.client.types

## Enum MultiComboBoxLayoutStyle

- java.lang.Object
- - java.lang.Enum<MultiComboBoxLayoutStyle>
  - - com.smartgwt.client.types.MultiComboBoxLayoutStyle

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<MultiComboBoxLayoutStyle>

      public enum MultiComboBoxLayoutStyle
      extends java.lang.Enum<MultiComboBoxLayoutStyle>
      implements ValueEnum

  Specifies the layout of the combo box and buttons in a MultiComboBoxItem.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FLOW` Use a flow layout
    `HORIZONTAL` Use a horizontal layout with the combo box on the right
    `HORIZONTALREVERSE` Use a horizontal layout with the combo box on the left
    `VERTICAL` Use a vertical layout
    `VERTICALREVERSE` Use a vertical layout with the combo box at the bottom

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static MultiComboBoxLayoutStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MultiComboBoxLayoutStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FLOW

          public static final MultiComboBoxLayoutStyle FLOW

      Use a flow layout

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "flow".

    - #### HORIZONTAL

          public static final MultiComboBoxLayoutStyle HORIZONTAL

      Use a horizontal layout with the combo box on the right

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "horizontal".

    - #### HORIZONTALREVERSE

          public static final MultiComboBoxLayoutStyle HORIZONTALREVERSE

      Use a horizontal layout with the combo box on the left

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "horizontalReverse".

    - #### VERTICAL

          public static final MultiComboBoxLayoutStyle VERTICAL

      Use a vertical layout

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "vertical".

    - #### VERTICALREVERSE

          public static final MultiComboBoxLayoutStyle VERTICALREVERSE

      Use a vertical layout with the combo box at the bottom

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "verticalReverse".

  - ### Method Detail

    - #### values

          public static MultiComboBoxLayoutStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MultiComboBoxLayoutStyle c : MultiComboBoxLayoutStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MultiComboBoxLayoutStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`